org.apache.tapestry5.internal.services

## Class BaseURLSourceImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.BaseURLSourceImpl

- All Implemented Interfaces:
    BaseURLSource

      public class BaseURLSourceImpl
      extends Object
      implements BaseURLSource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseURLSourceImpl(Request request, String hostname, int hostPort, int secureHostPort)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBaseURL(boolean secure)` Returns the base portion of the URL, before the context path and servlet path are appended.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseURLSourceImpl

          public BaseURLSourceImpl(Request request,
                                   @Inject @Symbol(value="tapestry.hostname")
                                   String hostname,
                                   @Symbol(value="tapestry.hostport")
                                   int hostPort,
                                   @Symbol(value="tapestry.hostport-secure")
                                   int secureHostPort)

  - ### Method Detail

    - #### getBaseURL

          public String getBaseURL(boolean secure)

      Description copied from interface: `BaseURLSource`
      Returns the base portion of the URL, before the context path and servlet path are appended. The return value should not end with a slash; it should end after the host name, or after the port number. The context path, servlet path, and path info will be appended to the returned value.
      Specified by:
        `getBaseURL` in interface `BaseURLSource`
      Parameters:
        `secure` - whether a secure "https" or insecure "http" base URL should be returned
      Returns:
        the base URL ready for additional extensions

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.